#!/bin/sh -x

S1AS_HOME=/opt/glassfish3/glassfish
HOST=dhcp-burlington9-3rd-a-east-10-152-23-193.usdhcp.oraclecorp.com

RES_ENABLE=false
REF_ENABLE=true

ASADMIN_CMD="${S1AS_HOME}/bin/asadmin --user admin --host ${HOST} --port 4848"

setup(){
	${ASADMIN_CMD} start-domain
	${ASADMIN_CMD} create-jvm-options -Dhttp.proxyHost=www-proxy.us.oracle.com
	${ASADMIN_CMD} create-jvm-options -Dhttp.proxyPort=80
	${ASADMIN_CMD} create-node-config --nodehost ${HOST} --installdir ${S1AS_HOME}/.. ${HOST}_agent
	${ASADMIN_CMD} create-instance --node ${HOST}_agent sa_server1  1>/tmp/dd.grep
	
	grep -e HTTP_LISTENER_PORT /tmp/dd.grep >/tmp/dd.grep1
	PORT=`cut -f2 -d'=' /tmp/dd.grep1`

	${ASADMIN_CMD} start-instance sa_server1

	${ASADMIN_CMD} create-jdbc-connection-pool --datasourceclassname org.apache.derby.jdbc.ClientDataSource --restype javax.sql.DataSource --property DatabaseName=sun-appserv-samples:PortNumber=1527:serverName=${HOST}:password=APP:user=APP:connectionAttributes=\;create\\=true res_ref_pool1

	${ASADMIN_CMD} create-jdbc-resource --enabled=${RES_ENABLE} --connectionpoolid res_ref_pool1 --target domain jdbc/res_ref_pool1
	${ASADMIN_CMD} deploy --target sa_server1 ./resref.war

	echo "Sleep for 10 seconds."
	sleep 10

	${ASADMIN_CMD} create-resource-ref --target sa_server1 --enabled=${REF_ENABLE} jdbc/res_ref_pool1
	${ASADMIN_CMD} list-resource-refs sa_server1
}

runTest(){
	echo ""
	echo "**** Run this URL in a browser to cause failure in server log: ****"
	echo "http://${HOST}:${PORT}/resref/JDBCResServlet" 
}

cleanup() {
	${ASADMIN_CMD} delete-resource-ref --target sa_server1 jdbc/res_ref_pool1
	${ASADMIN_CMD} undeploy --target sa_server1 resref
	${ASADMIN_CMD} delete-jdbc-resource --target domain jdbc/res_ref_pool1
	${ASADMIN_CMD} delete-jdbc-connection-pool res_ref_pool1
	${ASADMIN_CMD} stop-instance sa_server1
	${ASADMIN_CMD} delete-instance sa_server1
	${ASADMIN_CMD} delete-node-config ${HOST}_agent
	${ASADMIN_CMD} delete-jvm-options -Dhttp.proxyHost=www-proxy.us.oracle.com
	${ASADMIN_CMD} delete-jvm-options -Dhttp.proxyPort=80
	${ASADMIN_CMD} stop-domain
}

###########################
setup
runTest
#cleanup
##########################
